> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete upload

> Notifies the server that an attachment has been successfully uploaded to S3. This endpoint should be called after you've [uploaded the file](/api-reference/issue-attachments/upload-file).

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>The unique identifier of the project</ParamField>
<ParamField path="work_item_id" type="string" required>The unique identifier of the work item</ParamField>

<ParamField path="asset_id" type="string" required>The unique identifier of the attachment generated by the [Get upload credentials](/api-reference/attachments/get-upload-credentials#response) endpoint. </ParamField>
